// Mplex.h

#include "mplex/main.hpp"

#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Runtime::InteropServices;  // Marshal

namespace Muxer
{
public __gc class Mplex
	{
	public:
		__value enum ePrintType
		{
			None = 0,
			Debug,
			Info,
			Warn,
			Error,
			Header,
			Progress,
		};

		Mplex();
		~Mplex();
		void AbortMuxing();
		void SetCpuLoad(int s32_Percent);
		void Execute(String* s_Commands, String* s_Options[]);

		__delegate void delPrintMessage(ePrintType e_Type, String *s_Message);
		static delPrintMessage *CallbackPrintMessage;

	private:
		Multiplexor*  mi_Mux;
	};
}

