// ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// //
// 
//                  Windows/Visual Studio specific types (by Elm) (elmue@gmx.de) 
//
// ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// //
#ifndef __TYPES_H__
#define __TYPES_H__

#include <windows.h>
#include <stdio.h>

#define MAXPATHLEN MAX_PATH

typedef unsigned __int8		uint8_t;
typedef unsigned __int16	uint16_t;
typedef unsigned __int32	uint32_t;
typedef unsigned __int64	uint64_t;
typedef signed __int8		int8_t;
typedef signed __int16		int16_t;
typedef signed __int32		int32_t;
typedef signed __int64		int64_t;

typedef INT32	ssize_t;

#define MPEG_FORMAT_MPEG1   0
#define MPEG_FORMAT_VCD     1
#define MPEG_FORMAT_VCD_NSR 2
#define MPEG_FORMAT_MPEG2   3
#define MPEG_FORMAT_SVCD     4
#define MPEG_FORMAT_SVCD_NSR 5
#define MPEG_FORMAT_VCD_STILL 6
#define MPEG_FORMAT_SVCD_STILL 7
#define MPEG_FORMAT_DVD_NAV 8
#define MPEG_FORMAT_DVD      9

#define MPEG_FORMAT_FIRST 0
#define MPEG_FORMAT_LAST MPEG_FORMAT_DVD

#define MPEG_STILLS_FORMAT(x) (x==MPEG_FORMAT_VCD_STILL||x==MPEG_FORMAT_SVCD_STILL)

typedef signed __int64				INT64;		// 64-bit signed integral type. 
typedef unsigned __int64			UINT64;		// 64-bit unsigned integral type.
typedef INT32						ssize_t;

#define snprintf  _snprintf
#define vsnprintf _vsnprintf

#endif