/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003-2005  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://www.cuttermaran.de for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GLOBAL_MPEG2_H
#define _GLOBAL_MPEG2_H

#define BUFFER_SIZE 8192

struct DecoderContainer
{
	HANDLE filehandle;
	unsigned char buffer[BUFFER_SIZE];
	mpeg2dec_t * mpeg2dec;
	const mpeg2_info_t * info;
	struct TFrameInfo frameinfo;
	struct TFrameInfo *p_frameInfo;
	enum ConversionType conv_type;
	int stream_end_read;
};

#endif // _GLOBAL_MPEG2_H
